"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNumber = void 0;
var constants_1 = require("./utils/constants");
/**
 * isNumber
 * 检查入参是否为 number
 *
 * @param {*} source 任意类型的入参
 * @returns {boolean} 是否为数字
 */
function isNumber(source, checkSafetyNumber) {
    if (checkSafetyNumber === void 0) { checkSafetyNumber = false; }
    var isNumb = typeof source === 'number' && isFinite(source);
    if (isNumb && checkSafetyNumber)
        return source <= constants_1.MAX_SAFETY_NUMBER && source >= constants_1.MIN_SAFETY_NUMBER;
    return isNumb;
}
exports.isNumber = isNumber;
